Säkerhetsbulletin från Debian

DSA-1657-1 qemu -- osäkra temporära filer

Rapporterat den:
2008-10-20
Berörda paket:
qemu
Sårbara:
Ja
Referenser i säkerhetsdatabaser:
I Debians felrapporteringssystem: Fel 496394.
I Mitres CVE-förteckning: CVE-2008-4553.
Ytterligare information:

Dmitry E. Oboukhov upptäckte att skriptet qemu-make-debian-root i qemu, en snabb processoremulator, skapar temporära filer på ett osäkert sätt, vilket kan leda till en lokal överbelastning genom symlänkangrepp.

För den stabila utgåvan (Etch) har detta problem rättats i version 0.8.2-4etch2.

För uttestningsutgåvan (Lenny) och den instabila utgåvan (Sid) har detta problem rättats i version 0.9.1-6.

Vi rekommenderar att ni uppgraderar ert qemu-paket.

Rättat i:

Debian GNU/Linux 4.0 (etch)

Källkod:
http://security.debian.org/pool/updates/main/q/qemu/qemu_0.8.2-4etch2.dsc
http://security.debian.org/pool/updates/main/q/qemu/qemu_0.8.2.orig.tar.gz
http://security.debian.org/pool/updates/main/q/qemu/qemu_0.8.2-4etch2.diff.gz
AMD64:
http://security.debian.org/pool/updates/main/q/qemu/qemu_0.8.2-4etch2_amd64.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/q/qemu/qemu_0.8.2-4etch2_i386.deb
PowerPC:
http://security.debian.org/pool/updates/main/q/qemu/qemu_0.8.2-4etch2_powerpc.deb

MD5-kontrollsummor för dessa filer finns i originalbulletinen.